package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;

/**
 * 对应数据库表(organization_course_unit_price_settings):
 */
public class OrganizationCourseUnitPriceSettings {

	/**  */
	private Integer id;
	
	/**  */
	private Integer organId;
	
	/** 课程类型 */
	private CourseScheduleType courseType;

	private Integer chargeTypeId;
	
	private BigDecimal unitPrice = new BigDecimal(0);
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	private Organization organ = new Organization();
	
	private ChargeType chargeType = new ChargeType();
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public CourseScheduleType getCourseType() {
		return courseType;
	}

	public void setCourseType(CourseScheduleType courseType) {
		this.courseType = courseType;
	}
			
	public BigDecimal getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(BigDecimal unitPrice) {
		this.unitPrice = unitPrice;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public Integer getChargeTypeId() {
		return chargeTypeId;
	}

	public void setChargeTypeId(Integer chargeTypeId) {
		this.chargeTypeId = chargeTypeId;
	}

	public Organization getOrgan() {
		return organ;
	}

	public void setOrgan(Organization organ) {
		this.organ = organ;
	}

	public ChargeType getChargeType() {
		return chargeType;
	}

	public void setChargeType(ChargeType chargeType) {
		this.chargeType = chargeType;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
